Index: inc/admin/actions/class.dcactioncomments.php
===================================================================
--- inc/admin/actions/class.dcactioncomments.php	(revision 3731)
+++ inc/admin/actions/class.dcactioncomments.php	(revision 3874)
@@ -12,9 +12,9 @@
 class dcCommentsActionsPage extends dcActionsPage
 {
-    public function __construct($core, $uri, $redirect_args = array())
+    public function __construct($core, $uri, $redirect_args = [])
     {
         parent::__construct($core, $uri, $redirect_args);
-        $this->redirect_fields = array('type', 'author', 'status',
-            'sortby', 'ip', 'order', 'page', 'nb', 'section');
+        $this->redirect_fields = ['type', 'author', 'status',
+            'sortby', 'ip', 'order', 'page', 'nb', 'section'];
         $this->field_entries = 'comments';
         $this->title_cb      = __('Comments');
@@ -59,9 +59,9 @@
         $this->core->error->add($e->getMessage());
         $this->beginPage(dcPage::breadcrumb(
-            array(
+            [
                 html::escapeHTML($this->core->blog->name) => '',
                 __('Comments')                            => $this->core->adminurl->get('admin.comments'),
                 __('Comments actions')                    => ''
-            ))
+            ])
         );
         $this->endPage();
@@ -85,8 +85,8 @@
             $ret .=
             '<tr><td class="minimal">' .
-            form::checkbox(array($this->field_entries . '[]'), $id,
-                array(
+            form::checkbox([$this->field_entries . '[]'], $id,
+                [
                     'checked' => true
-                )) .
+                ]) .
                 '</td>' .
                 '<td>' . $title['author'] . '</td><td>' . $title['title'] . '</td></tr>';
@@ -98,5 +98,5 @@
     protected function fetchEntries($from)
     {
-        $params = array();
+        $params = [];
         if (!empty($from['comments'])) {
             $comments = $from['comments'];
@@ -116,8 +116,8 @@
         $co = $this->core->blog->getComments($params);
         while ($co->fetch()) {
-            $this->entries[$co->comment_id] = array(
+            $this->entries[$co->comment_id] = [
                 'title'  => $co->post_title,
                 'author' => $co->comment_author
-            );
+            ];
         }
         $this->rs = $co;
@@ -131,11 +131,11 @@
         if ($core->auth->check('publish,contentadmin', $core->blog->id)) {
             $ap->addAction(
-                array(__('Status') => array(
+                [__('Status') => [
                     __('Publish')         => 'publish',
                     __('Unpublish')       => 'unpublish',
                     __('Mark as pending') => 'pending',
                     __('Mark as junk')    => 'junk'
-                )),
-                array('dcDefaultCommentActions', 'doChangeCommentStatus')
+                ]],
+                ['dcDefaultCommentActions', 'doChangeCommentStatus']
             );
         }
@@ -143,7 +143,7 @@
         if ($core->auth->check('delete,contentadmin', $core->blog->id)) {
             $ap->addAction(
-                array(__('Delete') => array(
-                    __('Delete') => 'delete')),
-                array('dcDefaultCommentActions', 'doDeleteComment')
+                [__('Delete') => [
+                    __('Delete') => 'delete']],
+                ['dcDefaultCommentActions', 'doDeleteComment']
             );
         }
@@ -158,5 +158,5 @@
 
         if ($ip_filter_active) {
-            $blacklist_actions = array(__('Blacklist IP') => 'blacklist');
+            $blacklist_actions = [__('Blacklist IP') => 'blacklist'];
             if ($core->auth->isSuperAdmin()) {
                 $blacklist_actions[__('Blacklist IP (global)')] = 'blacklist_global';
@@ -164,6 +164,6 @@
 
             $ap->addAction(
-                array(__('IP address') => $blacklist_actions),
-                array('dcDefaultCommentActions', 'doBlacklistIP')
+                [__('IP address') => $blacklist_actions],
+                ['dcDefaultCommentActions', 'doBlacklistIP']
             );
         }
Index: inc/admin/actions/class.dcactionposts.php
===================================================================
--- inc/admin/actions/class.dcactionposts.php	(revision 3731)
+++ inc/admin/actions/class.dcactionposts.php	(revision 3874)
@@ -12,9 +12,9 @@
 class dcPostsActionsPage extends dcActionsPage
 {
-    public function __construct($core, $uri, $redirect_args = array())
+    public function __construct($core, $uri, $redirect_args = [])
     {
         parent::__construct($core, $uri, $redirect_args);
-        $this->redirect_fields = array('user_id', 'cat_id', 'status',
-            'selected', 'attachment', 'month', 'lang', 'sortby', 'order', 'page', 'nb');
+        $this->redirect_fields = ['user_id', 'cat_id', 'status',
+            'selected', 'attachment', 'month', 'lang', 'sortby', 'order', 'page', 'nb'];
         $this->loadDefaults();
     }
@@ -61,9 +61,9 @@
         $this->core->error->add($e->getMessage());
         $this->beginPage(dcPage::breadcrumb(
-            array(
+            [
                 html::escapeHTML($this->core->blog->name) => '',
                 $this->getCallerTitle()                   => $this->getRedirection(true),
                 __('Entries actions')                     => ''
-            ))
+            ])
         );
         $this->endPage();
@@ -72,5 +72,5 @@
     protected function fetchEntries($from)
     {
-        $params = array();
+        $params = [];
         if (!empty($from['entries'])) {
             $entries = $from['entries'];
@@ -107,44 +107,44 @@
         if ($core->auth->check('publish,contentadmin', $core->blog->id)) {
             $ap->addAction(
-                array(__('Status') => array(
+                [__('Status') => [
                     __('Publish')         => 'publish',
                     __('Unpublish')       => 'unpublish',
                     __('Schedule')        => 'schedule',
                     __('Mark as pending') => 'pending'
-                )),
-                array('dcDefaultPostActions', 'doChangePostStatus')
+                ]],
+                ['dcDefaultPostActions', 'doChangePostStatus']
             );
         }
         $ap->addAction(
-            array(__('Mark') => array(
+            [__('Mark') => [
                 __('Mark as selected')   => 'selected',
                 __('Mark as unselected') => 'unselected'
-            )),
-            array('dcDefaultPostActions', 'doUpdateSelectedPost')
+            ]],
+            ['dcDefaultPostActions', 'doUpdateSelectedPost']
         );
         $ap->addAction(
-            array(__('Change') => array(
+            [__('Change') => [
                 __('Change category') => 'category'
-            )),
-            array('dcDefaultPostActions', 'doChangePostCategory')
+            ]],
+            ['dcDefaultPostActions', 'doChangePostCategory']
         );
         $ap->addAction(
-            array(__('Change') => array(
+            [__('Change') => [
                 __('Change language') => 'lang'
-            )),
-            array('dcDefaultPostActions', 'doChangePostLang')
+            ]],
+            ['dcDefaultPostActions', 'doChangePostLang']
         );
         if ($core->auth->check('admin', $core->blog->id)) {
             $ap->addAction(
-                array(__('Change') => array(
-                    __('Change author') => 'author')),
-                array('dcDefaultPostActions', 'doChangePostAuthor')
+                [__('Change') => [
+                    __('Change author') => 'author']],
+                ['dcDefaultPostActions', 'doChangePostAuthor']
             );
         }
         if ($core->auth->check('delete,contentadmin', $core->blog->id)) {
             $ap->addAction(
-                array(__('Delete') => array(
-                    __('Delete') => 'delete')),
-                array('dcDefaultPostActions', 'doDeletePost')
+                [__('Delete') => [
+                    __('Delete') => 'delete']],
+                ['dcDefaultPostActions', 'doDeletePost']
             );
         }
@@ -281,9 +281,9 @@
             $ap->beginPage(
                 dcPage::breadcrumb(
-                    array(
+                    [
                         html::escapeHTML($core->blog->name)      => '',
                         $ap->getCallerTitle()                    => $ap->getRedirection(true),
                         __('Change category for this selection') => ''
-                    )));
+                    ]));
             # categories list
             # Getting categories
@@ -295,5 +295,5 @@
             $ap->getCheckboxes() .
             '<p><label for="new_cat_id" class="classic">' . __('Category:') . '</label> ' .
-            form::combo(array('new_cat_id'), $categories_combo);
+            form::combo(['new_cat_id'], $categories_combo);
 
             if ($core->auth->check('categories', $core->blog->id)) {
@@ -312,5 +312,5 @@
             $core->formNonce() .
             $ap->getHiddenFields() .
-            form::hidden(array('action'), 'category') .
+            form::hidden(['action'], 'category') .
             '<input type="submit" value="' . __('Save') . '" /></p>' .
                 '</form>';
@@ -349,8 +349,8 @@
             $usersList = '';
             if ($core->auth->check('admin', $core->blog->id)) {
-                $params = array(
+                $params = [
                     'limit' => 100,
                     'order' => 'nb_post DESC'
-                );
+                ];
                 $rs       = $core->getUsers($params);
                 $rsStatic = $rs->toStatic();
@@ -364,8 +364,8 @@
             $ap->beginPage(
                 dcPage::breadcrumb(
-                    array(
+                    [
                         html::escapeHTML($core->blog->name)    => '',
                         $ap->getCallerTitle()                  => $ap->getRedirection(true),
-                        __('Change author for this selection') => '')),
+                        __('Change author for this selection') => '']),
                 dcPage::jsLoad('js/jquery/jquery.autocomplete.js') .
                 '<script type="text/javascript">' . "\n" .
@@ -382,5 +382,5 @@
             echo
             $core->formNonce() . $ap->getHiddenFields() .
-            form::hidden(array('action'), 'author') .
+            form::hidden(['action'], 'author') .
             '<input type="submit" value="' . __('Save') . '" /></p>' .
                 '</form>';
@@ -412,14 +412,14 @@
             $ap->beginPage(
                 dcPage::breadcrumb(
-                    array(
+                    [
                         html::escapeHTML($core->blog->name)      => '',
                         $ap->getCallerTitle()                    => $ap->getRedirection(true),
                         __('Change language for this selection') => ''
-                    )));
+                    ]));
             # lang list
             # Languages combo
-            $rs         = $core->blog->getLangs(array('order' => 'asc'));
+            $rs         = $core->blog->getLangs(['order' => 'asc']);
             $all_langs  = l10n::getISOcodes(0, 1);
-            $lang_combo = array('' => '', __('Most used') => array(), __('Available') => l10n::getISOcodes(1, 1));
+            $lang_combo = ['' => '', __('Most used') => [], __('Available') => l10n::getISOcodes(1, 1)];
             while ($rs->fetch()) {
                 if (isset($all_langs[$rs->post_lang])) {
@@ -442,5 +442,5 @@
             echo
             $core->formNonce() . $ap->getHiddenFields() .
-            form::hidden(array('action'), 'lang') .
+            form::hidden(['action'], 'lang') .
             '<input type="submit" value="' . __('Save') . '" /></p>' .
                 '</form>';
Index: inc/admin/class.dc.favorites.php
===================================================================
--- inc/admin/class.dc.favorites.php	(revision 3731)
+++ inc/admin/class.dc.favorites.php	(revision 3874)
@@ -48,5 +48,5 @@
         $this->fav_defs   = new ArrayObject();
         $this->ws         = $core->auth->user_prefs->addWorkspace('dashboard');
-        $this->user_prefs = array();
+        $this->user_prefs = [];
 
         if ($this->ws->prefExists('favorites')) {
@@ -55,8 +55,8 @@
             // Since we never know what user puts through user:preferences ...
             if (!is_array($this->local_prefs)) {
-                $this->local_prefs = array();
+                $this->local_prefs = [];
             }
             if (!is_array($this->global_prefs)) {
-                $this->global_prefs = array();
+                $this->global_prefs = [];
             }
         } else {
@@ -106,5 +106,5 @@
             $fattr = $this->fav_defs[$p];
         }
-        $fattr = array_merge(array('id' => null, 'class' => null), $fattr);
+        $fattr = array_merge(['id' => null, 'class' => null], $fattr);
         if (isset($fattr['permissions'])) {
             if (is_bool($fattr['permissions']) && !$fattr['permissions']) {
@@ -114,4 +114,6 @@
                 return false;
             }
+        } elseif (!$this->core->auth->isSuperAdmin()) {
+            return false;
         }
         return $fattr;
@@ -129,5 +131,5 @@
     public function getFavorites($ids)
     {
-        $prefs = array();
+        $prefs = [];
         foreach ($ids as $id) {
             $f = $this->getFavorite($id);
@@ -156,5 +158,5 @@
         }
         if (!count($this->user_prefs)) {
-            $this->user_prefs = $this->getFavorites(array('new_post'));
+            $this->user_prefs = $this->getFavorites(['new_post']);
         }
         $u = explode('?', $_SERVER['REQUEST_URI']);
@@ -182,5 +184,4 @@
             }
         }
-
     }
 
@@ -194,6 +195,6 @@
     {
         $fav_ws             = $this->core->auth->user_prefs->addWorkspace('favorites');
-        $this->local_prefs  = array();
-        $this->global_prefs = array();
+        $this->local_prefs  = [];
+        $this->global_prefs = [];
         foreach ($fav_ws->dumpPrefs() as $k => $v) {
             $fav = @unserialize($v['value']);
@@ -222,5 +223,5 @@
         $this->core->callBehavior('adminDashboardFavs', $this->core, $f);
         foreach ($f as $k => $v) {
-            $fav = array(
+            $fav = [
                 'title'       => __($v[1]),
                 'url'         => $v[2],
@@ -230,5 +231,5 @@
                 'id'          => $v[6],
                 'class'       => $v[7]
-            );
+            ];
             $this->register($v[0], $fav);
         }
@@ -343,5 +344,5 @@
                 call_user_func($v['dashboard_cb'], $this->core, $v);
             }
-            $icons[$k] = new ArrayObject(array($v['title'], $v['url'], $v['large-icon']));
+            $icons[$k] = new ArrayObject([$v['title'], $v['url'], $v['large-icon']]);
             $this->core->callBehavior('adminDashboardFavsIcon', $this->core, $k, $icons[$k]);
         }
@@ -409,17 +410,17 @@
     {
         $core = &$GLOBALS['core'];
-        $favs->registerMultiple(array(
-            'prefs'      => array(
+        $favs->registerMultiple([
+            'prefs'      => [
                 'title'      => __('My preferences'),
                 'url'        => $core->adminurl->get("admin.user.preferences"),
                 'small-icon' => 'images/menu/user-pref.png',
-                'large-icon' => 'images/menu/user-pref-b.png'),
-            'new_post'   => array(
+                'large-icon' => 'images/menu/user-pref-b.png'],
+            'new_post'   => [
                 'title'       => __('New entry'),
                 'url'         => $core->adminurl->get("admin.post"),
                 'small-icon'  => 'images/menu/edit.png',
                 'large-icon'  => 'images/menu/edit-b.png',
-                'permissions' => 'usage,contentadmin'),
-            'posts'      => array(
+                'permissions' => 'usage,contentadmin'],
+            'posts'      => [
                 'title'        => __('Posts'),
                 'url'          => $core->adminurl->get("admin.posts"),
@@ -427,6 +428,6 @@
                 'large-icon'   => 'images/menu/entries-b.png',
                 'permissions'  => 'usage,contentadmin',
-                'dashboard_cb' => array('defaultFavorites', 'postsDashboard')),
-            'comments'   => array(
+                'dashboard_cb' => ['defaultFavorites', 'postsDashboard']],
+            'comments'   => [
                 'title'        => __('Comments'),
                 'url'          => $core->adminurl->get("admin.comments"),
@@ -434,67 +435,67 @@
                 'large-icon'   => 'images/menu/comments-b.png',
                 'permissions'  => 'usage,contentadmin',
-                'dashboard_cb' => array('defaultFavorites', 'commentsDashboard')),
-            'search'     => array(
+                'dashboard_cb' => ['defaultFavorites', 'commentsDashboard']],
+            'search'     => [
                 'title'       => __('Search'),
                 'url'         => $core->adminurl->get("admin.search"),
                 'small-icon'  => 'images/menu/search.png',
                 'large-icon'  => 'images/menu/search-b.png',
-                'permissions' => 'usage,contentadmin'),
-            'categories' => array(
+                'permissions' => 'usage,contentadmin'],
+            'categories' => [
                 'title'       => __('Categories'),
                 'url'         => $core->adminurl->get("admin.categories"),
                 'small-icon'  => 'images/menu/categories.png',
                 'large-icon'  => 'images/menu/categories-b.png',
-                'permissions' => 'categories'),
-            'media'      => array(
+                'permissions' => 'categories'],
+            'media'      => [
                 'title'       => __('Media manager'),
                 'url'         => $core->adminurl->get("admin.media"),
                 'small-icon'  => 'images/menu/media.png',
                 'large-icon'  => 'images/menu/media-b.png',
-                'permissions' => 'media,media_admin'),
-            'blog_pref'  => array(
+                'permissions' => 'media,media_admin'],
+            'blog_pref'  => [
                 'title'       => __('Blog settings'),
                 'url'         => $core->adminurl->get("admin.blog.pref"),
                 'small-icon'  => 'images/menu/blog-pref.png',
                 'large-icon'  => 'images/menu/blog-pref-b.png',
-                'permissions' => 'admin'),
-            'blog_theme' => array(
+                'permissions' => 'admin'],
+            'blog_theme' => [
                 'title'       => __('Blog appearance'),
                 'url'         => $core->adminurl->get("admin.blog.theme"),
                 'small-icon'  => 'images/menu/themes.png',
                 'large-icon'  => 'images/menu/blog-theme-b.png',
-                'permissions' => 'admin'),
-            'blogs'      => array(
+                'permissions' => 'admin'],
+            'blogs'      => [
                 'title'       => __('Blogs'),
                 'url'         => $core->adminurl->get("admin.blogs"),
                 'small-icon'  => 'images/menu/blogs.png',
                 'large-icon'  => 'images/menu/blogs-b.png',
-                'permissions' => 'usage,contentadmin'),
-            'users'      => array(
+                'permissions' => 'usage,contentadmin'],
+            'users'      => [
                 'title'      => __('Users'),
                 'url'        => $core->adminurl->get("admin.users"),
                 'small-icon' => 'images/menu/users.png',
-                'large-icon' => 'images/menu/users-b.png'),
-            'plugins'    => array(
+                'large-icon' => 'images/menu/users-b.png'],
+            'plugins'    => [
                 'title'      => __('Plugins management'),
                 'url'        => $core->adminurl->get("admin.plugins"),
                 'small-icon' => 'images/menu/plugins.png',
-                'large-icon' => 'images/menu/plugins-b.png'),
-            'langs'      => array(
+                'large-icon' => 'images/menu/plugins-b.png'],
+            'langs'      => [
                 'title'      => __('Languages'),
                 'url'        => $core->adminurl->get("admin.langs"),
                 'small-icon' => 'images/menu/langs.png',
-                'large-icon' => 'images/menu/langs-b.png'),
-            'help'       => array(
+                'large-icon' => 'images/menu/langs-b.png'],
+            'help'       => [
                 'title'      => __('Global help'),
                 'url'        => $core->adminurl->get("admin.help"),
                 'small-icon' => 'images/menu/help.png',
-                'large-icon' => 'images/menu/help-b.png')
-        ));
+                'large-icon' => 'images/menu/help-b.png']
+        ]);
     }
 
     public static function postsDashboard($core, $v)
     {
-        $post_count  = $core->blog->getPosts(array(), true)->f(0);
+        $post_count  = $core->blog->getPosts([], true)->f(0);
         $str_entries = __('%d post', '%d posts', $post_count);
         $v['title']  = sprintf($str_entries, $post_count);
@@ -503,5 +504,5 @@
     public static function commentsDashboard($core, $v)
     {
-        $comment_count = $core->blog->getComments(array(), true)->f(0);
+        $comment_count = $core->blog->getComments([], true)->f(0);
         $str_comments  = __('%d comment', '%d comments', $comment_count);
         $v['title']    = sprintf($str_comments, $comment_count);
Index: inc/admin/class.dc.menu.php
===================================================================
--- inc/admin/class.dc.menu.php	(revision 3731)
+++ inc/admin/class.dc.menu.php	(revision 3874)
@@ -20,6 +20,6 @@
         $this->title     = $title;
         $this->itemSpace = $itemSpace;
-        $this->pinned    = array();
-        $this->items     = array();
+        $this->pinned    = [];
+        $this->items     = [];
     }
 
Index: inc/admin/lib.admincombos.php
===================================================================
--- inc/admin/lib.admincombos.php	(revision 3731)
+++ inc/admin/lib.admincombos.php	(revision 3874)
@@ -29,7 +29,7 @@
     public static function getCategoriesCombo($categories, $include_empty = true, $use_url = false)
     {
-        $categories_combo = array();
+        $categories_combo = [];
         if ($include_empty) {
-            $categories_combo = array(new formSelectOption(__('(No cat)'), ''));
+            $categories_combo = [new formSelectOption(__('(No cat)'), '')];
         }
         while ($categories->fetch()) {
@@ -51,5 +51,5 @@
     public static function getPostStatusesCombo()
     {
-        $status_combo = array();
+        $status_combo = [];
         foreach (self::$core->blog->getAllPostStatus() as $k => $v) {
             $status_combo[$v] = (string) $k;
@@ -66,5 +66,5 @@
     public static function getUsersCombo($users)
     {
-        $users_combo = array();
+        $users_combo = [];
         while ($users->fetch()) {
             $user_cn = dcUtils::getUserCN($users->user_id, $users->user_name,
@@ -88,5 +88,5 @@
     public static function getDatesCombo($dates)
     {
-        $dt_m_combo = array();
+        $dt_m_combo = [];
         while ($dates->fetch()) {
             $dt_m_combo[dt::str('%B %Y', $dates->ts())] = $dates->year() . $dates->month();
@@ -107,5 +107,5 @@
         $all_langs = l10n::getISOcodes(0, 1);
         if ($with_available) {
-            $langs_combo = array('' => '', __('Most used') => array(), __('Available') => l10n::getISOcodes(1, 1));
+            $langs_combo = ['' => '', __('Most used') => [], __('Available') => l10n::getISOcodes(1, 1)];
             while ($langs->fetch()) {
                 if (isset($all_langs[$langs->post_lang])) {
@@ -117,5 +117,5 @@
             }
         } else {
-            $langs_combo = array();
+            $langs_combo = [];
             while ($langs->fetch()) {
                 $lang_name               = isset($all_langs[$langs->post_lang]) ? $all_langs[$langs->post_lang] : $langs->post_lang;
@@ -134,5 +134,5 @@
     public static function getAdminLangsCombo()
     {
-        $lang_combo = array();
+        $lang_combo = [];
         $langs      = l10n::getISOcodes(1, 1);
         foreach ($langs as $k => $v) {
@@ -150,5 +150,5 @@
     public static function getEditorsCombo()
     {
-        $editors_combo = array();
+        $editors_combo = [];
 
         foreach (self::$core->getEditors() as $v) {
@@ -167,5 +167,5 @@
     public static function getFormatersCombo($editor_id = '')
     {
-        $formaters_combo = array();
+        $formaters_combo = [];
 
         if (!empty($editor_id)) {
@@ -191,5 +191,5 @@
     public static function getBlogStatusesCombo()
     {
-        $status_combo = array();
+        $status_combo = [];
         foreach (self::$core->getAllBlogStatus() as $k => $v) {
             $status_combo[$v] = (string) $k;
@@ -205,5 +205,5 @@
     public static function getCommentStatusescombo()
     {
-        $status_combo = array();
+        $status_combo = [];
         foreach (self::$core->blog->getAllCommentStatus() as $k => $v) {
             $status_combo[$v] = (string) $k;
Index: inc/admin/lib.dc.adminurl.php
===================================================================
--- inc/admin/lib.dc.adminurl.php	(revision 3731)
+++ inc/admin/lib.dc.adminurl.php	(revision 3874)
@@ -37,7 +37,7 @@
      * @param  array  $params query string params (optional)
      */
-    public function register($name, $url, $params = array())
+    public function register($name, $url, $params = [])
     {
-        $this->urls[$name] = array('url' => $url, 'qs' => $params);
+        $this->urls[$name] = ['url' => $url, 'qs' => $params];
     }
 
@@ -49,5 +49,5 @@
      * @param  string $newurl new url if different from the original
      */
-    public function registercopy($name, $orig, $params = array(), $newurl = '')
+    public function registercopy($name, $orig, $params = [], $newurl = '')
     {
         if (!isset($this->urls[$orig])) {
@@ -72,5 +72,5 @@
      * @return string            the forged url
      */
-    public function get($name, $params = array(), $separator = '&amp;', $parametric = false)
+    public function get($name, $params = [], $separator = '&amp;', $parametric = false)
     {
         if (!isset($this->urls[$name])) {
@@ -99,5 +99,5 @@
      * @return string            the forged url
      */
-    public function redirect($name, $params = array(), $suffix = "")
+    public function redirect($name, $params = [], $suffix = "")
     {
         if (!isset($this->urls[$name])) {
@@ -130,5 +130,5 @@
      * @return string            the forged form data
      */
-    public function getHiddenFormFields($name, $params = array())
+    public function getHiddenFormFields($name, $params = [])
     {
         if (!isset($this->urls[$name])) {
@@ -139,5 +139,5 @@
         $str = '';
         foreach ((array) $p as $k => $v) {
-            $str .= form::hidden(array($k), $v);
+            $str .= form::hidden([$k], $v);
         }
         return $str;
@@ -154,5 +154,5 @@
      * @return string            the forged decoded url
      */
-    public function decode($name, $params = array(), $separator = '&')
+    public function decode($name, $params = [], $separator = '&')
     {
         return urldecode($this->get($name, $params, false, $separator));
